Skip to navigation

List issue logs

Agent activity from the pentest that found the issue.

Requires the issues:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

issueIdstringRequired

Issue UUID or label, e.g. VULN-000123.

Query parameters

levelenumOptional
Allowed values:
roleenumOptional
Allowed values:
limitintegerOptional1-500
Maximum entries to return. Defaults to 100.

Response

Log entries, oldest first.
issueIdstringformat: "uuid"
totalLogsinteger
Entries matching the filters.
returnedLogsinteger
logslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error